/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      2.1
 Text Domain:  bricks
*/


html {scroll-padding-top: 250px;}
.orange {color: var(--bricks-color-gycfdf);}
.title-bar {position:relative;padding-left: 25px;}
.title-bar::after {content: "";width: 5px;background-color: var(--bricks-color-gycfdf);height: 100%;position: absolute;left: 0;top: 0;}
.splide__track--nav>.splide__list>.splide__slide.is-active {border: 2px solid var(--bricks-color-gycfdf) !important;border-radius: 5px;}
.brxe-posts .image-wrapper img {border-radius: 5px;}
.content-related-posts .related-posts li {flex-direction: row;gap: 15px;align-items: flex-start;}
.brxe-post-content h2 {font-size: 24px;margin-bottom: 10px;margin-top: 25px;}
.brxe-post-content h3 {font-size: 20px;margin-bottom: 10px;margin-top: 25px;}
.brxe-text h2 {font-size: 24px;margin-bottom: 10px;margin-top: 25px;}
.brxe-text h3 {font-size: 20px;margin-bottom: 10px;margin-top: 25px;}
.brxe-text ul {list-style-position: inside;}

/*********************
MENU
**********************/
.menu-bar .bricks-nav-menu > li > a {padding: 15px 0;}
.menu-bar .bricks-nav-menu > li > div {padding: 15px 0;}
.menu-bar .bricks-nav-menu > li > div::after, .menu-bar .bricks-nav-menu>li>a::after {content: "";position: absolute;right: auto;left: 0;bottom: 0;height: 3px;width: 0;-webkit-transition: width .6s cubic-bezier(.25, .8, .25, 1) 0s;transition: width .6s cubic-bezier(.25, .8, .25, 1) 0s;background: var(--bricks-color-gycfdf);}
.menu-bar .bricks-nav-menu > li > div.aria-current::after {width: 100%;}
.menu-bar .bricks-nav-menu > li.current-menu-item > a::after {width: 100%;}
.menu-bar .bricks-nav-menu > li > div:hover:after, .menu-bar .bricks-nav-menu>li>a:hover:after {width: 100%;}
.menu-bar .brx-submenu-toggle {justify-content: space-between;}

.menu-bar .bricks-nav-menu > li > div:hover:after, 
.menu-bar .bricks-nav-menu>li>a:hover:after,
.menu-bar .bricks-nav-menu > li:hover > div::after,
.menu-bar .bricks-nav-menu > li:hover > a::after {width: 100%;}

/*.bricks-mobile-menu .sub-menu .bricks-menu-item.open.active .sub-menu li {padding-left: 15px;}*/

.menu-bar.brxe-block {box-shadow: 0px -1px 0 0px #ebebeb, inset 0px 1px 0px 0px #fff;transition: all 0.5s;border-bottom: 1px solid #ebebeb;}

#brx-header.scrolling .menu-bar.brxe-block {box-shadow: 0px -1px 0 0px #ebebeb, inset 0px 1px 0px 0px #fff, 0 10px 15px -3px var(--tw-shadow-color, rgb(0 0 0 / 0.1)), 0 4px 6px -4px var(--tw-shadow-color, rgb(0 0 0 / 0.1))}

/*********************
NEWS
**********************/
.content-text-news::before {
    transition: all 0.3s ease;
}
.content-text-news:hover::before {
    background: #002fa6;
    opacity: .8;;
}
.title-news {
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
}
.content-text-news:hover .title-news {
    -webkit-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    transform: translateY(-100%);
    opacity: 0;
}
.btn-read-more {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) translateY(20px);
    -ms-transform: translate(-50%, -50%) translateY(20px);
    transform: translate(-50%, -50%) translateY(20px);
    border-radius: 5px;
    opacity: 0;
}
.content-text-news:hover .btn-read-more {
    opacity: 1;
    -webkit-transform: translate(-50%, -50%) translateY(-0);
    -ms-transform: translate(-50%, -50%) translateY(-0);
    transform: translate(-50%, -50%) translateY(-0);
}
:where(.brxe-related-posts) .related-posts figure {width: 30%;}
:where(.brxe-related-posts) .related-posts .post-content {width: 70%;}

/*********************
MAPA
**********************/
#map .activo {fill: #ec6d00 !important;}
#map .hactivo {fill: #ec6d00;}
#map {padding: 0 0 0 10px;width: 100%;min-height: 349px;}
.content-info-map {padding: 10px 5px;}
.contact-map { padding: 0; }
.content-info-ind {display: none;}
.content-info-ind.active {display: block;}
.contact-map .cd-text {font-size: 14px;}
.content-info-ind h2 .orange {display: block;}
.content-info-ind h2 {font-size: 18px;}

@media (min-width: 979px) {
	.contact-map .map-img {width: 100%;}
	.contact-map .content-info-map {text-align: center;}
}

/*********************
HERRAJES
**********************/
.accordion-main .so-panel h1 {font-size: 20px;margin-bottom: 10px;margin-top: 10px;}
.accordion-main .so-panel h2 {font-size: 20px;margin-bottom: 10px;margin-top: 10px;}
.accordion-main .so-panel h3 {font-size: 18px;margin-bottom: 10px;margin-top: 10px;}
ul.ok-list {padding-left: 20px;font-size: 16px;list-style: none;}
ul.ok-list li {position: relative;margin-bottom: 10px;}
ul.ok-list li::before{content: "\f00c";font-family: "Font Awesome\ 6 Solid";font-weight: 900;position: absolute;left: -20px;top: 0.15em;color: var(--bricks-color-gycfdf);}



/*********************
POLITICA PRIVACIDAD
**********************/
.aviso-legal-table td {
    border: 1px solid #CCC;
    padding: 5px 10px;
}



/*********************
FAQS
**********************/
.faqs li.accordion-item.listening.brx-open {box-shadow: 0 18px 40px rgba(51, 51, 51, .1);border-radius: 0 0 5px 5px;}